package com.inspect.metadata.montdata.mapper;

import com.inspect.metadata.montdata.domain.BasedataMontEvnData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface BasedataMontEvnDataMapper {
    BasedataMontEvnData selectBasedataMontEvnDataByMontEvnDataId(Long evnDataId);

    List<BasedataMontEvnData> selectBasedataMontEvnDataList(BasedataMontEvnData evnData);

    int insertBasedataMontEvnData(BasedataMontEvnData evnData);

    int updateBasedataMontEvnData(BasedataMontEvnData evnData);

    int deleteBasedataMontEvnDataByMontEvnDataId(Long evnDataId);

    int deleteBasedataMontEvnDataByMontEvnDataIds(Long[] evnDataIds);

    List<BasedataMontEvnData> evnList();
}
